// Boolean Flags
var gunTimer = 0;
var HealthTimer = 0;
var medkit_first = true;
var pinv = player.getInventory();
var removeHealth =0.1;

function UseMedKit()
{
	// Edit this to customise how much the medkit should heal
	var addHealth =20;
	
	
	if((player.getHealth() < player.getMaxHealth()))
	{
		// If you had to change the itemID of the medkit,
		// here is where you replace 20002 with the itemID you have chosen.
		if(im_pinv.consumeItem(20002)) 
		{
			// Uncomment the next line if using a sound effect.
			sound.playSoundUI("heal",5,1);
			HealthTimer = 20
			player.setHealth(player.getHealth() + addHealth)
			if(player.getHealth() > player.getMaxHealth())
				player.setHealth(player.getMaxHealth())
				
		}
	}
	
}

//*******************************//
//  Start of Code for            //
//  Item Management v2.1         //
//                               //
//*******************************//

  ///////////
 // DataB //
///////////
var im_db = new Array(
	new Array(487,150,false,"gui/itemsGUI.png",new Array(17,209),true),
	new Array(488,70,false,"gui/itemsGUI.png",new Array(33,209),true),
	new Array(486,150,false,"gui/itemsGUI.png",new Array(1,209),true)
)
//var im_locks = new Array()

  //////////////////////
 // Single Load Vars //
//////////////////////
var im_sh   = ui.getHeight();
var im_pinv = player.getInventory();

//*******************************//
//  End of Code for              //
//  Item Management v2.1         //
//                               //
//*******************************//

//script.runScript("Colt.js")
script.runScript("siren.js")
script.runScript("HealthRemover.js")
playsiren()